automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {master} tests: re-enable some checks disabled by mistake ...


From: Stefano Lattarini
Subject: [FYI] {master} tests: re-enable some checks disabled by mistake ...
Date: Tue, 18 Dec 2012 12:06:24 +0100

* t/subpkg-macrodir.sh: ... in this test.  And fix some typos that would
have caused the newly re-enabled check to spuriously fail.  Issue revealed
by the lack of '.PHONY' support in Solaris CCS make (yes, so we've been
actually *helped* by that make implementation once, at last.  Scary ;-)

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/subpkg-macrodir.sh | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/t/subpkg-macrodir.sh b/t/subpkg-macrodir.sh
index a16f42b..189df06 100755
--- a/t/subpkg-macrodir.sh
+++ b/t/subpkg-macrodir.sh
@@ -38,14 +38,13 @@ AC_DEFUN([AX_FOO], [
 EOF
 
 cat > m4/bar.m4 <<'EOF'
-AC_DEFUN([AX_BAR], [AC_SUBST([WHOMAI], [SuperPkg])])
+AC_DEFUN([AX_BAR], [AC_SUBST([WHOAMI], [SuperPkg])])
 EOF
 
 cat > Makefile.am << 'END'
-test-whomai:
+test-whoami:
        test '$(WHOAMI)' = SuperPkg
-check-local: test
-.PHONY: test
+check-local: test-whoami
 END
 
 mkdir pkg
@@ -60,14 +59,13 @@ END
 
 mkdir pkg/macros
 cat > pkg/macros/zardoz.m4 << 'END'
-AC_DEFUN([AX_BAR], [AC_SUBST([WHOMAI], [sub-pkg])])
+AC_DEFUN([AX_BAR], [AC_SUBST([WHOAMI], [sub-pkg])])
 END
 
 cat > pkg/Makefile.am << 'END'
-test-whomai:
+test-whoami:
        test '$(WHOAMI)' = sub-pkg
-check-local: test
-.PHONY: test
+check-local: test-whomai
 END
 
 AUTOMAKE=$AUTOMAKE ACLOCAL=$ACLOCAL AUTOCONF=$AUTOCONF $AUTORECONF -vi
@@ -79,8 +77,8 @@ $FGREP 'm4_include([macros/zardoz.m4])' pkg/aclocal.m4
 
 ./configure
 
-$MAKE test
-(cd pkg && $MAKE test) || exit 1
+$MAKE test-whoami
+(cd pkg && $MAKE test-whoami) || exit 1
 
 $MAKE distcheck
 
-- 
1.8.0.1.347.gf94c325




reply via email to

[Prev in Thread] Current Thread [Next in Thread]